## mpv 0.41.0

=== debian/changelog ===
mpv (0.41.0-2ubuntu3) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Jan 2026 09:44:02 +0100

mpv (0.41.0-2) unstable; urgency=medium

  * debian/control: Also remove libcaca-dev and libsdl2-dev from libmpv-dev's
    Depends

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 30 Dec 2025 21:49:08 +0100

mpv (0.41.0-1) unstable; urgency=medium

  * New upstream version 0.41.0
  * debian/patches: Drop patches from upstream
  * debian/control: Bump Standards-Version
  * debian/:
    - Disable libcaca
    - Do not build with SDL2 due to known issues
  * debian/mpv.maintscript: Remove old conffile

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 29 Dec 2025 21:40:36 +0100

mpv (0.40.0-5ubuntu3) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Dec 2025 00:56:07 +0000

mpv (0.40.0-5ubuntu2) resolute; urgency=medium

  * No-change rebuild for libdisplay-info3.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Nov 2025 07:16:30 +0000

=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
 James Cowgill <jcowgill@debian.org>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libarchive-dev (>= 3.4),
 libasound2-dev [linux-any],
 libass-dev,
 libavcodec-dev (>= 7:7.0),
 libavdevice-dev (>= 7:7.0),
 libavfilter-dev (>= 7:7.0),
 libavformat-dev (>= 7:7.0),
 libavutil-dev (>= 7:7.0),
 libbluray-dev,
 libcdio-dev,
 libcdio-paranoia-dev,
 libdisplay-info-dev,
 libdrm-dev (>= 2.4.75),
 libdvdnav-dev,
 libegl-dev [linux-any],
 libffmpeg-nvenc-dev [amd64 arm64 i386],
 libgbm-dev,
 libgl-dev,
 libjack-dev,
 libjpeg-dev,
 liblcms2-dev (>= 2.6~),
 liblua5.2-dev,
 libmujs-dev,
 libpipewire-0.3-dev [linux-any],
 libplacebo-dev (>= 6.338),
 libpulse-dev,
 librubberband-dev,
 libsixel-dev,
 libsndio-dev,
 libswscale-dev (>= 7:7.0),
 libuchardet-dev,
 libva-dev,
 libvdpau-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.15.0) [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxpresent-dev,
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libzimg-dev,
 meson,
 ninja-build,
 pkgconf,
 python3-docutils,
 wayland-protocols,
Standards-Version: 4.7.3
Homepage: https://mpv.io/
Vcs-Git: https://salsa.debian.org/multimedia-team/mpv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mpv

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xdg-utils, yt-dlp
Suggests: libcuda1 [amd64 arm64 i386]
Multi-Arch: foreign
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.

Package: libmpv2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yt-dlp
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides a client library that can be used to embed mpv in other
 applications.

Package: libmpv-dev
Section: libdevel
Architecture: any
Depends:
 libmpv2 (= ${binary:Version}),
 libarchive-dev (>= 3.4),
 libasound2-dev [linux-any],
 libass-dev,
 libavcodec-dev (>= 7:7.0),
 libavdevice-dev (>= 7:7.0),
 libavfilter-dev (>= 7:7.0),
 libavformat-dev (>= 7:7.0),
 libavutil-dev (>= 7:7.0),
 libbluray-dev,
 libcdio-dev,
 libcdio-paranoia-dev,
 libdisplay-info-dev,
 libdrm-dev (>= 2.4.75),
 libdvdnav-dev,
 libegl-dev [linux-any],
 libffmpeg-nvenc-dev [amd64 arm64 i386],
 libgbm-dev,
 libgl-dev,
 libjack-dev,
 libjpeg-dev,
 liblcms2-dev (>= 2.6~),
 liblua5.2-dev,
 libmujs-dev,
 libpipewire-0.3-dev [linux-any],
 libplacebo-dev (>= 6.338),
 libpulse-dev,
 librubberband-dev,
 libsixel-dev,
 libsndio-dev,
 libswscale-dev (>= 7:7.0),
 libuchardet-dev,
 libva-dev,
 libvdpau-dev,
 libvulkan-dev,
 libwayland-dev (>= 1.15.0) [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxpresent-dev,
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libzimg-dev,
 wayland-protocols,
 ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library dev files)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides development files for libmpv.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all # #741439, #799738

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ARCH_CONFIGURE = -Ddvbin=enabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlibmpv=true \
		-Dbuild-date=false \
		-Dcdda=enabled \
		-Ddvdnav=enabled \
		$(ARCH_CONFIGURE)

execute_after_dh_auto_install:
	mv debian/tmp/usr/share/zsh/site-functions debian/tmp/usr/share/zsh/vendor-completions
	mkdir -p debian/tmp/etc/mpv
	cp -f debian/mpv.conf.ubuntu debian/tmp/etc/mpv/mpv.conf

override_dh_installchangelogs:
	dh_installchangelogs RELEASE_NOTES

## mpv 0.41.0+fruit.1

=== libplacebo/demos/3rdparty/nuklear/example/Makefile ===
# Flags
CFLAGS += -std=c99 -Wall -Wextra -pedantic -Wno-misleading-indentation -Wno-shift-negative-value
LIBS :=

ifeq ($(OS),Windows_NT)
	DEL_BIN = IF EXIST bin DEL /F /Q bin\*
	BIN := $(BIN).exe
	LIBS := -lglfw3 -lopengl32 -lm -lGLU32 -lGLEW32
else
	DEL_BIN = rm -rf bin
	UNAME_S := $(shell uname -s)
	GLFW3 := $(shell pkg-config --libs glfw3)
	ifeq ($(UNAME_S),Darwin)
		LIBS := $(GLFW3) -framework OpenGL -framework Cocoa -framework IOKit -framework CoreVideo -lm -lGLEW -L/usr/local/lib
		CFLAGS += -I/usr/local/include
	else
		LIBS := $(GLFW3) -lGL -lm -lGLU -lGLEW
	endif
endif

all: generate file_browser extended canvas skinning

generate: clean
ifeq ($(OS),Windows_NT)
	@mkdir bin 2> nul || exit 0
else
	@mkdir -p bin
endif

clean:
	$(DEL_BIN)

file_browser: generate
	$(CC) $(CFLAGS) -o bin/file_browser file_browser.c $(LIBS)

extended: generate
	$(CC) $(CFLAGS) -o bin/extended extended.c $(LIBS)

canvas: generate
	$(CC) $(CFLAGS) -o bin/canvas canvas.c $(LIBS)

skinning: generate
	$(CC) $(CFLAGS) -o bin/skinning skinning.c $(LIBS)

=== libplacebo/demos/3rdparty/nuklear/demo/sdl_opengl2/Makefile ===
# Install
BIN = demo

# Flags
CFLAGS += -std=c89 -Wall -Wextra -pedantic -DSDL_DISABLE_IMMINTRIN_H

SRC = main.c
OBJ = $(SRC:.c=.o)

ifeq ($(OS),Windows_NT)
BIN := $(BIN).exe
LIBS = -lmingw32 -lSDL2main -lSDL2 -lopengl32 -lm -lGLU32
else
	UNAME_S := $(shell uname -s)
	ifeq ($(UNAME_S),Darwin)
		LIBS = -lSDL2 -framework OpenGL -lm
	else
		LIBS = -lSDL2 -lGL -lm -lGLU
	endif
endif

$(BIN):
	@mkdir -p bin
	rm -f bin/$(BIN) $(OBJS)
	$(CC) $(SRC) $(CFLAGS) -o bin/$(BIN) $(LIBS)

=== libplacebo/demos/3rdparty/nuklear/demo/sdl_renderer/Makefile ===
# Install
BIN = demo

# Flags
CFLAGS += -std=c89 -Wall -Wextra -pedantic -O2 -DSDL_DISABLE_IMMINTRIN_H
CFLAGS += `sdl2-config --cflags`

SRC = main.c
OBJ = $(SRC:.c=.o)

ifeq ($(OS),Windows_NT)
#TODO
#BIN := $(BIN).exe
#LIBS = -lmingw32 -lSDL2main -lSDL2 -lopengl32 -lm -lGLU32
else
	UNAME_S := $(shell uname -s)
	ifeq ($(UNAME_S),Darwin)
#TODO		LIBS = -lSDL2 -framework OpenGL -lm
	else
		LIBS += -lm -ldl `sdl2-config --libs`
	endif
endif

$(BIN):
	@mkdir -p bin
	rm -f bin/$(BIN) $(OBJS)
	$(CC) $(SRC) $(CFLAGS) -o bin/$(BIN) $(LIBS)

=== debian/changelog ===
mpv (0.41.0+fruit.1) unstable; urgency=medium

  * local build with ffmpeg 1:8.0.1, libass 2:2025.12.18+cbb743215bad0fe202477e569fe8005545258ccd, libplacebo 2:2025.12.22+bc90ef94944a3dcaab324b86d3e3769ad1d8698b

 -- Wessel Dankers <wsl@fruit.je>  Sat, 03 Jan 2026 13:49:31 +0100

=== debian/control ===
Source: mpv
Section: misc
Priority: optional
Maintainer: Kevin Mitchell <kevmitch@gmail.com>
Standards-Version: 3.9.3
Build-Depends: glslang-dev,
 autoconf,
 automake,
 c-compiler | gcc,
 debhelper (>= 12),
 glslang-dev,
 ladspa-sdk,
 libasound2-dev [linux-any],
 libarchive-dev,
 libbluray-dev,
 libbs2b-dev,
 libcaca-dev,
 libcdio-paranoia-dev,
 libdisplay-info-dev,
 libdrm-dev,
 libdav1d-dev,
 libdvdnav-dev,
 libegl1-mesa-dev,
 libepoxy-dev,
 libfontconfig-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgl1-mesa-dev,
 libgbm-dev,
 libgnutls-dev | libgnutls28-dev,
 libharfbuzz-dev,
 libjack-jackd2-dev | libjack-dev,
 libjpeg-dev,
 libbrotli-dev,
 liblcms2-dev,
 liblua5.2-dev | liblua5.1-0-dev,
 libmodplug-dev,
 libmp3lame-dev,
 libopenal-dev,
 libopus-dev,
 libopencore-amrnb-dev,
 libopencore-amrwb-dev,
 libpipewire-0.3-dev,
 libpulse-dev,
 librtmp-dev,
 librubberband-dev,
 libsixel-dev,
 libssh-dev,
 libsoxr-dev,
 libspeex-dev,
 libtool,
 libuchardet-dev,
 libv4l-dev [!hurd-any],
 libva-dev [!hurd-any],
 libvdpau-dev,
 libvorbis-dev,
 libvo-amrwbenc-dev,
 libunwind-dev,
 libvpx-dev,
 libvulkan-dev,
 libwayland-dev,
 libx264-dev,
 libx11-dev,
 libxext-dev,
 libxkbcommon-dev,
 libxpresent-dev,
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libxvidcore-dev,
 linux-libc-dev [linux-any],
 meson,
 nasm,
 ninja-build,
 pkg-config,
 python3,
 python3-docutils,
 wayland-protocols,
 x11proto-core-dev,
 zlib1g-dev

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-mesa-dri,
 i965-va-driver | libva-intel-vaapi-driver | va-driver,
 mesa-vdpau-drivers | nvidia-vdpau-driver | nvidia-driver-binary | nvidia-current | vdpau-driver
Suggests: libaacs0
Description: mplayer/mplayer2 based video player
 mpv is a versatile CLI media player, based on mplayer and mplayer2.
 .
 This package is not part of Debian. It was created by mpv-build scripts with
 statically linked ffmpeg, libass and libplacebo from upstream.
Homepage: https://github.com/mpv-player/mpv-build

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all optimize=-lto

# To enable parallel building:
# You can either set DEB_BUILD_OPTIONS=paralell=<num-procs> in your build environment
# or provide the -j<numprocs> option to debuild or dpkg-buildpackage, which
# ammounts to the same thing.
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
# use MFLAGS, rather than MAKEFLAGS as the latter is used by make internally
	MFLAGS += -j$(NUMJOBS)
	MESONFLAGS += -j$(NUMJOBS)
	NINJAFLAGS += -j$(NUMJOBS)
endif

# make .PHONY all the targets that have name collisions with the scripts
# see http://www.debian.org/doc/manuals/maint-guide/dreq.en.html#rules
.PHONY: clean build install
# Apparently, the above isn't enough because of the "%" target. Make the problematic targets explicit
clean:
	exec dh $@
build:
	exec dh $@
install:
	exec dh $@
# Handle all other targets in the usual way.
# The --parallel flag to dh doesn't seem to have the intended effect
# so leave it out.
%:
	exec dh $@

libass_config:
	scripts/libass-config

libass_build: libass_config
	scripts/libass-build $(MFLAGS)

# depend on libass_build in case the user specified --enable-libass in ffmpeg_options
ffmpeg_config: libass_build libplacebo_build
	scripts/ffmpeg-config \
		--enable-gnutls \
		--enable-libdav1d \
		--enable-libmodplug \
		--enable-libmp3lame \
		--enable-libopus \
		--enable-libpulse \
		--enable-libsoxr \
		--enable-libspeex \
		--enable-libssh \
		--enable-libvorbis \
		--enable-libvpx \
		--enable-ladspa \
		--enable-libbs2b \
		--enable-gpl --enable-libxvid --enable-libx264 \
		--enable-version3 --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libvo-amrwbenc

ffmpeg_build: ffmpeg_config
	scripts/ffmpeg-build $(MFLAGS)

libplacebo_config:
	scripts/libplacebo-config

libplacebo_build: libplacebo_config
	scripts/libplacebo-build $(NINJAFLAGS)

# drop the local/ since it's package managed now
override_dh_auto_configure: ffmpeg_build libass_build libplacebo_build
	scripts/mpv-config --prefix=/usr \
		-Dopenal=enabled \
		-Ddvbin=enabled \
		-Ddvdnav=enabled \
		-Dcdda=enabled

override_dh_auto_build:
	scripts/mpv-build $(MESONFLAGS)

# install mpv to the debian packageing dir
# --destdir is relative to mpv/build
override_dh_auto_install:
	scripts/mpv-install --destdir=../../debian/mpv

# for manually installed dependencies
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

# call all the cleans
override_dh_auto_clean:
	./clean
